View Issue Details

IDProjectCategoryView StatusLast Update
0005503ScribusUser Interfacepublic2016-03-22 23:55
Reporterchristoph_s Assigned Tocbradney  
PrioritynormalSeveritytweakReproducibilityalways
Status feedbackResolutionreopened 
PlatformanyOSanyOS Versionany
Product Version1.3.4cvs 
Target Version1.6 milestoneFixed in Version 
Summary0005503: Remove dividers between quotation marks entries
DescriptionIn the current Insert > Quote dialog, the dividers between the entries are based on English typography. Thus, they should be removed, because other national typographical traditions require different descriptions, and the dividers may cause unnecessary confusion.
TagsNo tags attached.
PatchNo

Activities

cbradney

2007-03-30 06:07

administrator   ~0015680

They divide by type of quote, eg double, single, guillemet, not by usage.

christoph_s

2007-03-30 15:30

administrator   ~0015685

cbradney: They divide by usage from an english perspective. In other languages things look differently. I didn't suggest to remove the divider between 66, 99 etc types of quotes and guillemets, but the two between "Double Right"/"Low Single Comma" and "Low Double Comma"/"Single Reversed".

cbradney

2007-03-30 22:25

administrator   ~0015687

Actually, you might believe this, but this is not the case.
They are divided as follows:
-straight quotes
-upper quotes
-lower quotes
-reversed quotes
-guillemet quotes
-cjk quotes
There is no language specific orientation at all.

christoph_s

2007-03-30 22:39

administrator   ~0015688

cbradney: if translated to another language, this looks weird, believe me.

English:
Single Left
Single Right
Double Left
Double Right
------
Low Single Comma
Low Double Comma

Looks reasonable.

German, Russian, Croatian ...

Single Right
Single Right (English)
Double Right
Double Right (English)
------
Single Left
Double Left

Looks not so reasonable. It was prokoudine on irc who stumbled across the issue, and I believe he's right.

cbradney

2007-03-30 22:54

administrator   ~0015690

Looks fine to me.. now its left vs right.

christoph_s

2007-03-30 23:07

administrator   ~0015691

Greek:

Single Left
Single Right (German)
Double Left
Double Right (German)
-----
Single Right
Double Right

axelb

2007-03-31 10:21

reporter   ~0015693

As far as I understand, the quotes are grouped first after their *form*, then according to the *placement* of the signs, from top to bottom.


The menue is:
=================
1* Apostrophs (single and double) --> on the top
----
2* English quotes (left and right, single and double) --> on the top.
----
3* Commas/quotes below the signs --> below
----
4* Reversed english quotes (single and double) -> on the top
----
5* Guillame/french quotes (single and doble) -> in the middle
----
6*The the cjk's ...

This is understandable:
1--4 are comma-like, the others not.
1--4 are order after single/doble and top-to-bottom. Only 3 does not follow the from-top-to bottom order (according to form, not function).

BTW: It would have been easier it the signes themselves could have been included behind the name so the people not familiar with the (translated) names on a glance could see wich one they want.

cbradney

2007-03-31 13:28

administrator   ~0015694

I have now swapped reversed and lower as per Axelb's note.

christoph_s

2007-04-01 01:10

administrator   ~0015698

cbradney: what do you think of removing the first 2 entries from the "Quotes" menu?

1. The apostrophe isn't a typographical apostrophe, but a typewriter apostrophe.

2. Straight Double means inch (most of the time)

3. Both characters can be easily inserted with the keyboard.

axelb

2007-04-01 08:03

reporter   ~0015699

Last edited: 2007-04-01 09:19

christoph_s: Actually, I was asking myself the same question. I was expecting a real, typographic apostroph, and was surprised to see the normal inch sign and the typewriter apostrophe. Perhaps we need to remove them, but then perhaps make other changes too. Either:

1) Rename the
«single quote right» [english type]
to read
«Single quote right / apostroph»?
A bit long perhaps, so another solution would be

2) to put the typographical apostroph a second time at the top instead of the present two not very needed signs.

Perhaps removing and 1) would be for the best?

Thinking more about it: Why do we have apostrophs in the quotes menue in the first place? Does anyone use them as quotes typographically? When we are talking about the typographical apostroph, yes, but the ones provided ...?

3) A third soultion would be to move the apostroph into the menue "signs" instead ...

What do you think?

Kunda

2016-03-22 23:55

manager   ~0039345

Adding to 1.6 milestone

Issue History

Date Modified Username Field Change
2007-03-30 01:56 christoph_s New Issue
2007-03-30 06:07 cbradney Status new => resolved
2007-03-30 06:07 cbradney Resolution open => no change required
2007-03-30 06:07 cbradney Assigned To => cbradney
2007-03-30 06:07 cbradney Note Added: 0015680
2007-03-30 15:30 christoph_s Status resolved => feedback
2007-03-30 15:30 christoph_s Resolution no change required => reopened
2007-03-30 15:30 christoph_s Note Added: 0015685
2007-03-30 22:25 cbradney Status feedback => resolved
2007-03-30 22:25 cbradney Resolution reopened => no change required
2007-03-30 22:25 cbradney Note Added: 0015687
2007-03-30 22:39 christoph_s Status resolved => feedback
2007-03-30 22:39 christoph_s Resolution no change required => reopened
2007-03-30 22:39 christoph_s Note Added: 0015688
2007-03-30 22:42 christoph_s Note Added: 0015689
2007-03-30 22:54 cbradney Note Added: 0015690
2007-03-30 23:07 christoph_s Note Added: 0015691
2007-03-31 10:21 axelb Note Added: 0015693
2007-03-31 13:28 cbradney Note Added: 0015694
2007-04-01 01:10 christoph_s Note Added: 0015698
2007-04-01 08:03 axelb Note Added: 0015699
2007-04-01 08:33 axelb Note Edited: 0015699
2007-04-01 08:35 axelb Note Edited: 0015699
2007-04-01 08:37 axelb Note Edited: 0015699
2007-04-01 09:19 axelb Note Edited: 0015699
2016-03-22 23:55 Kunda Patch => No
2016-03-22 23:55 Kunda Note Added: 0039345
2016-03-22 23:55 Kunda Target Version => 1.6 milestone